from django.contrib import admin
from django.contrib.auth.admin import UserAdmin

from .forms import CustomUserCreationForm
from .models import ContentBlock, Plan, Session, User


# Register your models here.
class CustomUserAdmin(UserAdmin):
    list_filter = ["plans"]
    model = User
    add_form = CustomUserCreationForm
    fieldsets = (
        *UserAdmin.fieldsets,
        (
            "Stripe information",
            {"fields": ("stripe_id",)},
        ),
        (
            "Payment information",
            {
                "fields": (
                    "plans",
                    "last_payment",
                )
            },
        ),
    )


admin.site.register(User, CustomUserAdmin)
admin.site.register(Plan)
admin.site.register(Session)
admin.site.register(ContentBlock)
